package org.studiorailgun.sim.character.gen;

import org.studiorailgun.Globals;
import org.studiorailgun.sim.character.Character;
import org.studiorailgun.sim.space.Location;
import org.studiorailgun.sim.space.util.LocationResolver;

/**
 * Sources the player character (ie either by prompting the player, loading from file, generating, etc)
 */
public class PlayerCharSourcer {
    
    /**
     * Gets the player's character
     * @return The player's character
     */
    public static Character getPlayerCharacter(){
        Character rVal = CharacterGenerator.generateCharacter();
        Location first = LocationResolver.first(Globals.world);
        rVal.move(first);
        return rVal;
    }

}
